//Разница между var и let в области видимости.
//Переменная var видна везде в функции, а let в той области где она обьявлена (функции, блоке и т д.)
//Переменная let, в отличиии от var видна после обьявления  и ее нельзя повторно обьявить.
//При использовании в цикле для каждой итерации создается своя переменная, var одна для всех итераций цикла.
//const переменная которую нельзя изменить, если в неё помещен обьект то свойства обьекта можно изменять.
//Усложняет работу над проектом когда над ним работает более одного человека, так как неизвестно кто какую переменнную где обьявлял. Устаревший метод.

"use strict";

let name = prompt("Как тебя зовут?", "");

if (!name.match(/^[a-zA-Z]+$/)) {
  name = prompt("Имя введено неверно, введите верно ", `${name}`);
}

let age = prompt("Сколько тебе лет?", "");

if (isNaN(age)) {
  age = prompt("Неправильный возраст ", `${age}`);
}

if (age < 18) {
  alert("You are not allowed to visit this website");
} else if (age >= 18 && age <= 22) {
  if (confirm("Are you sure you want to continue?")) alert("Welcome, " + name);
  else alert("You are not allowed to visit this website.");
}
if (age > 22) {
  alert("Welcome, " + name);
}
